Subject: [RFC] possible removal of omap-serial

From: [email-masked] (Greg KH)
Date: Fri, 21 Mar 2014 10:44:48 -0700

On Fri, Mar 21, 2014 at 12:36:53PM -0500, Felipe Balbi wrote:
> Hi,
> 
> On Fri, Mar 21, 2014 at 10:10:30AM -0700, Tony Lindgren wrote:
> > > > On the support side, I'm not looking forward to this for beagle/panda
> > > > users.  We've already converted them once from ttySx -> ttyOx back in
> > > > 2.6.33/2.6.34? days.  That was an irc/email/u-boot/kernel nightmare...
> > > 
> > > that's exactly why we're talking about ways to maintain backwards
> > > compatibility here. But I'm more interested in finding a way to switch
> > > over to ttyS and have a symlink to ttyO, that way a simple debootstrap
> > > (or any other ARM distro minimal rootfs) would work out of the box,
> > > without any changes, just like in "normal" systems.
> > 
> > Yeah let's not break things. The symlink solution won't work for kernel
> 
> again. Let's not break things again.
> 
> > console output so it needs to be dealt with some other way.
> 
> it would if kernel itself would create the symlink, but that might not
> be doable in a clean way.

The kernel isn't going to create the symlink, sorry, no.